Bug 382512 - KSysGuard tabs do not render ampersand (&) in their title
Summary: KSysGuard tabs do not render ampersand (&) in their title
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Unclassified
Component: ksysguardd (show other bugs)
Version: 5.9.4
Platform: Kubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords: junior-jobs, reproducible
Depends on:
Blocks:
 
Reported: 2017-07-19 17:02 UTC by Flávio Monteiro
Modified: 2018-02-03 19:13 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Image of the bug (151.80 KB, image/png)
2017-07-19 17:02 UTC, Flávio Monteiro
Details
Patch to solve the problem with the single & (957 bytes, patch)
2018-01-24 21:59 UTC, Sergio Carlavilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Flávio Monteiro 2017-07-19 17:02:40 UTC
Created attachment 106735 [details]
Image of the bug

KSysGuard does not render the ampersand character in tab titles.

Please see the attachment.
Comment 1 Corentin 2017-11-08 03:01:01 UTC
This is a Qt feature : if you have an ampersand in a tab title it is used to make an "alt" shortcut with the following character (&a -> alt+a) and the ampersand won't be displayed.

If you double the ampersand (&&) it will just output the character (no shortcut).

I proposed a fix that automatically double the ampersands
Comment 2 Sergio Carlavilla 2018-01-24 21:59:13 UTC
Created attachment 110098 [details]
Patch to solve the problem with the single &
Comment 3 Nate Graham 2018-02-03 18:58:26 UTC
Git commit 5ce56e6bb5ef7efc7139f171951f7124adf4d56a by Nathaniel Graham, on behalf of Sergio Carlavilla.
Committed on 03/02/2018 at 18:58.
Pushed by ngraham into branch 'master'.

Correction with the & problem in tabs

Summary:

KSysGuard does not render the ampersand character in tab titles

Test Plan:
Tested on Arch Linux with Plasma 5.11.5 and Qt 5.10

I added a tab with an & in the title and I checked that the & displays correctly.
I added a tab with two and more & and I checked that all the & displays correctly.
Also works when open a saved tab.

Reviewers: mlaurent, ngraham

Reviewed By: ngraham

Subscribers: ngraham, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D10151

M  +2    -2    gui/Workspace.cpp

https://commits.kde.org/ksysguard/5ce56e6bb5ef7efc7139f171951f7124adf4d56a
Comment 4 Nate Graham 2018-02-03 19:13:26 UTC
Git commit 0ed4aae225c0dd67a0ae86b8e5ffdaf574ac16a6 by Nathaniel Graham, on behalf of Sergio Carlavilla.
Committed on 03/02/2018 at 19:05.
Pushed by ngraham into branch 'Plasma/5.8'.

Correction with the & problem in tabs

Summary:

KSysGuard does not render the ampersand character in tab titles

Test Plan:
Tested on Arch Linux with Plasma 5.11.5 and Qt 5.10

I added a tab with an & in the title and I checked that the & displays correctly.
I added a tab with two and more & and I checked that all the & displays correctly.
Also works when open a saved tab.

Reviewers: mlaurent, ngraham

Reviewed By: ngraham

Subscribers: ngraham, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D10151

M  +2    -2    gui/Workspace.cpp

https://commits.kde.org/ksysguard/0ed4aae225c0dd67a0ae86b8e5ffdaf574ac16a6
Comment 5 Nate Graham 2018-02-03 19:13:47 UTC
Git commit 2a95e337cfd4a0c0943bee653b6e446c2ce1d32c by Nathaniel Graham, on behalf of Sergio Carlavilla.
Committed on 03/02/2018 at 19:05.
Pushed by ngraham into branch 'Plasma/5.12'.

Correction with the & problem in tabs

Summary:

KSysGuard does not render the ampersand character in tab titles

Test Plan:
Tested on Arch Linux with Plasma 5.11.5 and Qt 5.10

I added a tab with an & in the title and I checked that the & displays correctly.
I added a tab with two and more & and I checked that all the & displays correctly.
Also works when open a saved tab.

Reviewers: mlaurent, ngraham

Reviewed By: ngraham

Subscribers: ngraham, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D10151

M  +2    -2    gui/Workspace.cpp

https://commits.kde.org/ksysguard/2a95e337cfd4a0c0943bee653b6e446c2ce1d32c